Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class PropertyKey

    java.lang.Object
      com.pietschy.command.configuration.impl.PropertyKey

     class PropertyKey

extends java.lang.Object

Class that represent property keys in resource bundles. This class parses the keys to determine their type. The key `cmd@face.text` would represent the text property of the default face of the ActionCommand "cmd".

Field Summary
`(package private) boolean` | `clientProperty`
`static int` | `FACE`
`static int` | `FACE_CONTEXT`
`static int` | `ID`
`static int` | `PROPERTY_NAME`
`(package private) boolean` | `userProperty`

Constructor Summary
`PropertyKey(java.lang.String key, ExceptionFactory exceptionFactory)` Creates a new property key from the specified key.

Method Summary
`java.lang.String` | `getFaceContext()` Gets the face context if for face properties.
`java.lang.String` | `getId()` Gets the id of the command or group represented by this key.
`java.lang.String` | `getPropertyName()` Gets the property name represented by the key.
`boolean` | `isClientProperty()` Returns `true` if the key represents a face client property, `false` otherwise.
`boolean` | `isFace()` Returns `true` if this is a face property, `false` otherwise.
`boolean` | `isGroup()` Returns `true` if this is a group property, `false` otherwise.
`boolean` | `isUserProperty()` Returns `true` if the key represents a user property, `false` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final int ID

See Also:
  Constant Field Values

### FACE

    public static final int FACE

See Also:
  Constant Field Values

### FACE_CONTEXT

    public static final int FACE_CONTEXT

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final int PROPERTY_NAME

See Also:
  Constant Field Values

### clientProperty

    boolean clientProperty

### userProperty

    boolean userProperty

Constructor Detail

### PropertyKey

    public PropertyKey(java.lang.String key,
                       ExceptionFactory exceptionFactory)
                throws ParseException

  Creates a new property key from the specified key.

  Parameters:
    `key` - the property key as defined in the resource bundle.
    `exceptionFactory` - the exception facotry.
  Throws:
    `ParseException` - if there was an error parsing the key.

Method Detail

### getId

    public java.lang.String getId()

  Gets the id of the command or group represented by this key.

  Returns:
    the id of the command or group represented by this key.

### isFace

    public boolean isFace()

  Returns `true` if this is a face property, `false` otherwise.

  Returns:
    `true` if this is a face property, `false` otherwise.

### isGroup

    public boolean isGroup()

  Returns `true` if this is a group property, `false` otherwise.

  Returns:
    `true` if this is a group property, `false` otherwise.

### getFaceContext

    public java.lang.String getFaceContext()

  Gets the face context if for face properties.

  Returns:
    the face context if for face properties.

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the property name represented by the key. For the key `cmd@face.text` the property name would be `text`.

  Returns:
    the property name represented by the key.

### isUserProperty

    public boolean isUserProperty()

  Returns `true` if the key represents a user property, `false` otherwise.

  Returns:
    `true` if the key represents a user property, `false` otherwise.

### isClientProperty

    public boolean isClientProperty()

  Returns `true` if the key represents a face client property, `false` otherwise.

  Returns:
    `true` if the key represents a user property, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch